import React from 'react';
import Radio from 'antd/es/radio';
var InlineRadio = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(Radio, Object.assign({
    ref: ref
  }, props, {
    prefixCls: "".concat(props.prefixCls, "-radio")
  }));
});
InlineRadio.defaultProps = {
  autoFocus: false,
  prefixCls: 'pxx'
};
export var Group = function Group(props) {
  var radioGroupPrefixCls = "".concat(props.prefixCls, "-radio");
  return /*#__PURE__*/React.createElement(Radio.Group, Object.assign({}, props, {
    prefixCls: radioGroupPrefixCls
  }));
};
Group.defaultProps = {
  prefixCls: 'pxx',
  buttonStyle: 'outline',
  disabled: false,
  optionType: 'default'
};
export var Button = function Button(props) {
  return /*#__PURE__*/React.createElement(Radio.Button, Object.assign({}, props, {
    prefixCls: "".concat(props.prefixCls, "-radio-group")
  }));
};
Button.defaultProps = {
  prefixCls: 'pxx'
};
export default InlineRadio;